﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;

namespace BindXamChartProperties
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void color_SelectedColorChanged(object sender, Infragistics.Controls.Editors.SelectedColorChangedEventArgs e)
        {
            (xamPointChart.Series[0] as PointSeries).MarkerBrush = new SolidColorBrush(color.SelectedColor.Value);
        }

        
    }

    public class SimpleDataCollection
    {



        public ObservableCollection<SimpleDataPoint> points { set; get; }
        public int dataCount;

        public SimpleDataCollection()
        {
            points = new ObservableCollection<SimpleDataPoint>();
            points.Add(new SimpleDataPoint() { Label = "1", Value = 3.0 });
            points.Add(new SimpleDataPoint() { Label = "2", Value = 2.0 });
            points.Add(new SimpleDataPoint() { Label = "3", Value = 3.0 });
            points.Add(new SimpleDataPoint() { Label = "4", Value = 4.0 });
            points.Add(new SimpleDataPoint() { Label = "5", Value = 5.0 });
            points.Add(new SimpleDataPoint() { Label = "6", Value = 5.8 });
            points.Add(new SimpleDataPoint() { Label = "7", Value = 5.0 });
          


        }

    }



    public class SimpleDataPoint : INotifyPropertyChanged
    {
        public SimpleDataPoint() { }
        private double _value;
        private string _Label;

        public double Value
        {
            set
            {
                if (value != this._value)
                {
                    this._value = value;
                    NotifyPropertyChanged("Value");
                }
            }
            get { return this._value; }
        }
   
        public string Label
        {
            set
            {
                if (value != this._Label)
                {
                    this._Label = value;
                    NotifyPropertyChanged("Label");
                }
            }
            get { return this._Label; }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }

}
